package cn.com.qmth.sdk.test;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.bean.OuterExamStudent4BatchBean;
import cn.com.qmth.sdk.request.OuterBatchSaveExamStudentReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

/**
 * 批量保存考生
 * 
 * @author chenken
 * @date 2019年1月22日 下午3:40:48
 * @company QMTH
 * @description BatchSaveExamStudent.java
 */
public class BatchSaveExamStudent {

	public static void main(String[] args) {
		OuterBatchSaveExamStudentReq reqBody = new OuterBatchSaveExamStudentReq();
		reqBody.setExamId(268L);
		// reqBody.setExamName("测试考试-20190122");
		reqBody.setRootOrgId(QmthUtil.getRootOrgId());
		List<OuterExamStudent4BatchBean> outerExamStudent4BatchBeanList = new ArrayList<OuterExamStudent4BatchBean>();
		OuterExamStudent4BatchBean outerExamStudent4BatchBean = new OuterExamStudent4BatchBean();
		outerExamStudent4BatchBean.setCourseCode("测试-CourseCode");
		outerExamStudent4BatchBean.setCourseLevel("ZSB");
		outerExamStudent4BatchBean.setCourseName("测试-CourseName");
		outerExamStudent4BatchBean.setExamSite("任意考点");
		outerExamStudent4BatchBean.setGrade("201809");
		outerExamStudent4BatchBean.setInfoCollector("测试采集");
		outerExamStudent4BatchBean.setPaperType("B");
		outerExamStudent4BatchBean.setSpecialtyName("计算机");
		outerExamStudent4BatchBean.setRemark("测试-remark-20190122");
		outerExamStudent4BatchBean.setStudentCode("111111x");
		outerExamStudent4BatchBean.setStudentName("wangwei");
		outerExamStudent4BatchBean.setIdentityNumber("111111x");
		outerExamStudent4BatchBeanList.add(outerExamStudent4BatchBean);
		reqBody.setExamStudentList(outerExamStudent4BatchBeanList);

		String url = QmthUtil.buildUrl("/api/exchange/outer/examStudent/batchSaveExamStudent");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
